Index: extensions/user_tags/language/uk_UA/help/index.php
===================================================================
--- extensions/user_tags/language/uk_UA/help/index.php	(revision 28705)
+++ extensions/user_tags/language/uk_UA/help/index.php	(revision 28705)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/uk_UA/index.php
===================================================================
--- extensions/user_tags/language/uk_UA/index.php	(revision 28705)
+++ extensions/user_tags/language/uk_UA/index.php	(revision 28705)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/user_tags/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/user_tags/language/uk_UA/plugin.lang.php	(revision 28705)
+++ extensions/user_tags/language/uk_UA/plugin.lang.php	(revision 28705)
@@ -0,0 +1,36 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Add permission updated'] = 'Дозвіл на додавання оновлений';
+$lang['Be careful, whatever the configuration value is, new tag can be deleted anyway'] = 'Будьте обережні, не залежно від значення конфігурації, новий теґ може бути видалений в будь-якому випадку';
+$lang['Click to add tags'] = 'Натисніть, щоб додати тег';
+$lang['Delete permission updated'] = 'Дозвіл на видалення оновлений';
+$lang['Start to type'] = 'Почніть вводити';
+$lang['Tags updated'] = 'Теґи оновлені';
+$lang['That plugin allow visitors to add tags to image.'] = 'Цей плаґін дозволяє відвідувачам додавати теґи до зображення.';
+$lang['Update tags'] = 'Оновіть теґи';
+$lang['Who can add tags?'] = 'Хто може додавати теґи?';
+$lang['Who can delete related tags?'] = 'Хто може видалити пов’язані теґи?';
+$lang['You are not allowed to add nor delete tags'] = 'Ви не має права додавати або видаляти теґи';
+$lang['You are not allowed to add tags'] = 'Ви не можете додати теґи';
+$lang['You are not allowed to delete tags'] = 'Ви не можете видаляти теґи';
+$lang['You can choose which users (per status) can add and delete tags.'] = 'Ви можете вибрати користувачів, які можуть додавати і видаляти теґи.';